<?php

namespace Modules\Faq\Interfaces;

use Modules\Faq\Models\Faq;

interface FaqRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Faq;
    public function update(array $request, Faq $faq): Faq;
    public function destroy(Faq $faq): void;
    public function destroyAll(array $ids): void;
    public function restore(Faq $faq): void;
    public function restoreAll(array $ids): void;
}
